package com.fs.live.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.crm.param.BaseQueryParam;
import lombok.Data;

import java.util.Date;

@Data
public class LiveStudentDataQueryParam extends BaseQueryParam {
    /** 直播间id数组 */
    private String[] liveIds;
    /** 直播间名称 */
   /* @Excel(name = "直播间名称")
    private String liveName;*/

    /** 客户名 */
    @Excel(name = "客户名")
    private String userName;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String userPhone;

    /** 客户创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "客户创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date userCreateTime;



    private String startTime;


    private String finishTime;
    /** 分享直播间次数 */
    @Excel(name = "分享直播间次数")
    private Long shareCount;

    /** 归属部门名称 */
    @Excel(name = "归属部门名称")
    private String deptName;

    /** 归属部门id */
    @Excel(name = "归属部门id")
    private String deptId;

    /** 跟进人姓名 */
    @Excel(name = "跟进人姓名")
    private String companyUserName;

    /** 购买实物商品 */
    private Long goodsCount;

    /** 答题次数 */
    private Long questionCount;
    //最小提问数
    private long minQuestionCount;
    //最大提问数
    private long maxQuestionCount;
    }
